Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022730
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-01-04 14:452013-02-01 22:28
ReporterngarciaView Statuspublic 
Assigned Tomtaal 
PriorityimmediateResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revision3dff248e9297
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022730: Tab appears blank when it has a view defined

DescriptionTab appears blank when it has a view defined
Steps To ReproduceAs group admin role:
  Go to Product - Costing tab
  Add a filter to the Cost Type field
  Save a view and set it as default
  Close the window and open it again
  Note than the Costing tab appears blank
TagsNo tags attached.
Attached Filesdiff file icon 22730.diff [^] (4,961 bytes) 2013-01-20 15:06 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00256363.0PR14Q2 closedalostale Saved view filter reapplied after adding a column in grid 

-  Notes
(0055493)
shankarb (developer)
2013-01-11 16:43

Steps to Reproduce (in a professional instance) :
1. Go to Costing tab under product.
2. Right click on Quantity and choose 'Select Summary Function' as Sum
3. Note that sum is displayed below.
4. Save the view.
5. Close and Open the window again. The Costing tab will be empty even without the columns.
(0055914)
hgbot (developer)
2013-01-28 16:11

Repository: erp/devel/pi
Changeset: 3dff248e929747d5b0133ca1bff24bbdb394ab79
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Mon Jan 28 16:11:12 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3dff248e929747d5b0133ca1bff24bbdb394ab79 [^]

Fixes issue 22730: Tab appears blank when it has a view defined
Prevent javascript errors with preset filters in child tabs

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0055920)
AugustoMauch (developer)
2013-01-28 17:03

Code reviewed and verified in pi@e035b2855377
(0056071)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-01-04 14:45 ngarcia New Issue
2013-01-04 14:45 ngarcia Assigned To => AugustoMauch
2013-01-04 14:45 ngarcia Modules => Core
2013-01-04 14:45 ngarcia Triggers an Emergency Pack => No
2013-01-04 14:45 ngarcia Issue Monitored: networkb
2013-01-11 16:43 shankarb Note Added: 0055493
2013-01-20 14:57 mtaal File Added: 22730.diff
2013-01-20 15:06 mtaal File Deleted: 22730.diff
2013-01-20 15:06 mtaal File Added: 22730.diff
2013-01-22 11:13 AugustoMauch Target Version => 3.0MP20
2013-01-28 10:29 AugustoMauch Assigned To AugustoMauch => mtaal
2013-01-28 16:09 mtaal Review Assigned To => AugustoMauch
2013-01-28 16:11 hgbot Checkin
2013-01-28 16:11 hgbot Note Added: 0055914
2013-01-28 16:11 hgbot Status new => resolved
2013-01-28 16:11 hgbot Resolution open => fixed
2013-01-28 16:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3dff248e929747d5b0133ca1bff24bbdb394ab79 [^]
2013-01-28 17:03 AugustoMauch Note Added: 0055920
2013-01-28 17:03 AugustoMauch Status resolved => closed
2013-01-28 17:03 AugustoMauch Fixed in Version => 3.0MP20
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056071
2014-02-04 15:29 alostale Relationship added related to 0025636


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker